---
date: 2024-12-24T11:38:00.000Z
title: automatic rebuilding
description: this page was built with forgejo, yo
tags:
  - my-blog
  - programming
---
this page was built with [forgejo](https://forgejo.org/), yo!

I installed a git forge on my own server so I can upload whatever I want, including nsfw stuff if I feel like it, and I wrote this build script that automatically rebuilds the page whenever I push changes.

And I'm currently editing this page in [Decap CMS](https://decapcms.org/), which automatically pushes changes to a git forge.

So I have a fully visual post editor now!

```yaml
on: 
  workflow_dispatch:
  push:
    branches: [main]
    
jobs:
  build:
    runs-on: self-hosted
    steps:
      - uses: actions/checkout@v4
      - uses: actions/setup-node@v4
      - run: npm ci
      - run: npm run build
      - run: mkdir -p /data/nycki.net/site
      - run: cp site.conf /data/nycki.net/site.conf
      - run: cp -r _site/* /home/nycki/nycki.net/patches/* /data/nycki.net/site/
```

![screenshot of the editor used to write this post](/a/decap-cms.jpg "screenshot of the editor used to write this post")

You would think I'm thrilled with this, and I am, on some level, but I'm also really annoyed. My stack now includes Debian, NodeJS, Eleventy, Git, Docker, Forgejo, Forgejo Actions (which have to be installed manually), and Decap CMS. That's... that's just so much junk, just to be able to post in a web browser and have it kinda work as a website updater. Heaven forbid I ever try to duplicate this setup for a friend or family member. Please email me or leave a comment if you know a better way to get the basic functionality of "post in a web browser and publish to a website."
