---
layout: base.njk
title: zendo
description: fleens? you're not fleens.
permalink: /zendo/
---
{% css %}
img {
    max-height: 400px;
    padding: 1.5ch;
    display: block;
    margin: 0 auto;
}
{% endcss %}

# {{ title }}

*{{ description }}*

[Zendo](https://boardgamegeek.com/boardgame/6830/zendo) is the logical thinking game of all time. i don't think there's anything that comes close. it was [invented or discovered](http://www.koryheath.com/zendo/design-history/) in 2001 by the late Kory Heath ([GNU](https://wiki.lspace.org/GNU_Terry_Pratchett)). 

the game was originally played with [icehouse pyramids](https://looneypyramids.wiki/), but sometime around the start of 2020 i decided that i wanted a version that i could show to my coworkers, who i was only seeing thru video calls [for some reason](https://en.wikipedia.org/wiki/COVID-19_pandemic). but hey, y'know what every remote office solution has?

<img src="/a/thats-right-flowcharts.png" alt="that's right! flowcharts!" title="that's right! flowcharts!">

flowcharts! how could we possibly communicate if we didn't have some sort of digital equivalent of a whiteboard full of shapes and arrows, right? so with that in mind, I present to you: Graph Zendo!

## graph zendo rules summary

<img src="/a/graph-zendo-sample.png" alt="four graphs" title="four graphs">

If you've played Zendo before, here's the change notes:

- a **koan** is a **graph** which is a collection of nodes and arrows.

- a **node** is a triangle, circle, or square.

- an **arrow** is a one-way path that begins at a node and ends at a node. arrows are considered to be shapeless; the rule cannot refer to "bent arrows" for instance.

- each graph should also be given a number for reference. the number is not part of the graph.

- there are no turns, and there are no guessing tokens. this is because in an office setting it can be difficult and unfun to keep track of whose turn it is and how many tokens people have. instead:

  - a player may draw a new graph at any time. a 'dot' under a graph indicates that it is ready to be judged. the puzzle master should circle or cross out this dot.

  - a player may attempt to solve at any time. they should raise their hand and wait for the puzzle master to call on them.

_TODO: write a version of these rules for people who haven't played zendo before_
